> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all reserved domains on this account.




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /reserved_domains
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /reserved_domains:
    get:
      tags:
        - ReservedDomains
      summary: List
      description: |
        List all reserved domains on this account.
      operationId: ReservedDomainsList
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: before_id
          description: >
            Expects a resource ID as its input. Returns earlier entries in the
            result set, sorted by ID.
          in: query
          required: false
          schema:
            type: string
        - name: limit
          description: >
            Constrains the number of results in the dataset. See the [API
            Overview](https://ngrok.com/docs/api/index#pagination) for details.
          in: query
          required: false
          schema:
            type: string
        - name: filter
          description: >
            A CEL expression to filter the list results. Supports logical and
            comparison operators to match on fields such as `id`, `metadata`,
            `created_at`, and more. See ngrok API Filtering for syntax and field
            details: https://ngrok.com/docs/api/api-filtering.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: |
            List all reserved domains on this account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReservedDomainList'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    ReservedDomainList:
      type: object
      properties:
        reserved_domains:
          description: |
            the list of all reserved domains on this account
          type: array
          items:
            $ref: '#/components/schemas/ReservedDomain'
        uri:
          description: |
            URI of the reserved domain list API resource
          type: string
        next_page_uri:
          description: |
            URI of the next page, or null if there is no next page
          type: string
    ReservedDomain:
      type: object
      properties:
        id:
          description: |
            unique reserved domain resource identifier
          type: string
        uri:
          description: |
            URI of the reserved domain API resource
          type: string
        created_at:
          description: |
            timestamp when the reserved domain was created, RFC 3339 format
          type: string
        description:
          description: >
            human-readable description of what this reserved domain will be used
            for
          type: string
        metadata:
          description: >
            arbitrary user-defined machine-readable data of this reserved
            domain. Optional, max 4096 bytes.
          type: string
        domain:
          description: |
            hostname of the reserved domain
          type: string
        region:
          description: >
            deprecated: With the launch of the ngrok Global Network domains
            traffic is now handled globally. This field applied only to
            endpoints. Note that agents may still connect to specific regions.
            Optional, null by default. (au, eu, ap, us, jp, in, sa)
          type: string
        cname_target:
          description: >
            DNS CNAME target for a custom hostname, or null if the reserved
            domain is a subdomain of an ngrok owned domain (e.g. *.ngrok.app)
          type: string
        certificate:
          $ref: '#/components/schemas/Ref'
          description: >
            object referencing the TLS certificate used for connections to this
            domain. This can be either a user-uploaded certificate, the most
            recently issued automatic one, or null otherwise.
        certificate_management_policy:
          $ref: '#/components/schemas/ReservedDomainCertPolicy'
          description: >
            configuration for automatic management of TLS certificates for this
            domain, or null if automatic management is disabled
        certificate_management_status:
          $ref: '#/components/schemas/ReservedDomainCertStatus'
          description: >
            status of the automatic certificate management for this domain, or
            null if automatic management is disabled
        acme_challenge_cname_target:
          description: >
            DNS CNAME target for the host _acme-challenge.example.com, where
            example.com is your reserved domain name. This is required to issue
            certificates for wildcard, non-ngrok reserved domains. Must be null
            for non-wildcard domains and ngrok subdomains.
          type: string
        resolves_to:
          description: >
            DNS resolver targets configured for the reserved domain, or empty
            for "global" resolution.
          type: array
          items:
            $ref: '#/components/schemas/ReservedDomainResolvesToEntry'
    Ref:
      type: object
      properties:
        id:
          description: |
            a resource identifier
          type: string
        uri:
          description: |
            a uri for locating a resource
          type: string
    ReservedDomainCertPolicy:
      type: object
      properties:
        authority:
          description: >
            certificate authority to request certificates from. The only
            supported value is letsencrypt.
          type: string
        private_key_type:
          description: >
            type of private key to use when requesting certificates. Defaults to
            ecdsa, can be either rsa or ecdsa.
          type: string
    ReservedDomainCertStatus:
      type: object
      properties:
        renews_at:
          description: |
            timestamp when the next renewal will be requested, RFC 3339 format
          type: string
        provisioning_job:
          $ref: '#/components/schemas/ReservedDomainCertJob'
          description: >
            status of the certificate provisioning job, or null if the
            certificiate isn't being provisioned or renewed
    ReservedDomainResolvesToEntry:
      type: object
      properties:
        value:
          description: |
            accepts an ngrok point-of-presence shortcode, or "global"
          type: string
    ReservedDomainCertJob:
      type: object
      properties:
        error_code:
          description: >
            if present, an error code indicating why provisioning is failing. It
            may be either a temporary condition (INTERNAL_ERROR), or a permanent
            one the user must correct (DNS_ERROR).
          type: string
        msg:
          description: |
            a message describing the current status or error
          type: string
        started_at:
          description: |
            timestamp when the provisioning job started, RFC 3339 format
          type: string
        retries_at:
          description: |
            timestamp when the provisioning job will be retried
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````